function [] = Vizualizace_signalu(sig_puvodni,t_span,sig_oblast,ts_out,sig_peak)
%Vizualizace_signalu(puvodni_signal,puvodni_time, oblast_signal, oblast_time, peak_signal)
%   Vykresli grafy vsech signalu

x = figure(2);
x.Position = [737 47 866 773];

subplot(3,1,1);
hold on
plot(t_span,sig_puvodni,'LineWidth',1);
title('PUVODNI SIGNAL');
xlabel('Time [s]');
ylabel('Voltage [V]');

hold on
plot(ts_out,sig_oblast,'r');
hold off

subplot(3,1,2);
plot(ts_out,sig_oblast);

xlabel('Time [s]');
ylabel('Voltage [V]');
grid on
title('Vybrana oblast filtrovaneho signalu');
hold off

subplot(3,1,3);
hold on 

plot(ts_out,sig_peak,'LineWidth',2);
xlabel('Time [s]');
ylabel('Voltage [V]');
grid on
title('Vyfiltrovany signal');
legend('Signal 1','Signal 2','Signal 3','Signal 4','Location','bestoutside')
hold off


end

